// Copyright 2019 The Gitea Authors. All rights reserved.
// SPDX-License-Identifier: MIT

package webhook

import (
	"testing"

	"code.mokoconsulting.tech/MokoConsulting/MokoGitea/models/unittest"
	"code.mokoconsulting.tech/MokoConsulting/MokoGitea/modules/hostmatcher"
	"code.mokoconsulting.tech/MokoConsulting/MokoGitea/modules/setting"

	_ "code.mokoconsulting.tech/MokoConsulting/MokoGitea/models"
	_ "code.mokoconsulting.tech/MokoConsulting/MokoGitea/models/actions"
)

func TestMain(m *testing.M) {
	// for tests, allow only loopback IPs
	setting.Webhook.AllowedHostList = hostmatcher.MatchBuiltinLoopback
	unittest.MainTest(m, &unittest.TestOptions{
		SetUp: func() error {
			setting.LoadQueueSettings()
			return Init()
		},
	})
}
